commit 93c722ce0549360af68269f088f4e59ed8fc130e
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sun Aug 7 17:00:27 2022 +0100

    SPF: fix memory accounting for error case

diff --git a/src/src/spf.c b/src/src/spf.c
index db6eea3a8..a8c0f75c4 100644
--- a/src/src/spf.c
+++ b/src/src/spf.c
@@ -204,7 +204,7 @@ spf_nxdomain = SPF_dns_rr_new_init(spf_dns_server,
   "", ns_t_any, 24 * 60 * 60, HOST_NOT_FOUND);
 if (!spf_nxdomain)
   {
-  free(spf_dns_server);
+  store_free(spf_dns_server);
   return NULL;
   }
 

